#!/bin/bash

#Print all files of the directory given in parameter. If no directory given : print files of the current directory

find $1 -maxdepth 1 -type f -exec stat -c "%y   %n" {} \;
#-maxdepth 1 -> permit to control the deep of the hierarchy -> no higher than the directory given in parameter
#-type f -> Only files are printed
# stat -c -> Allow us to change the printed format (%y = date and %n = name)
